about summary refs log tree commit diff
path: root/test/g3-roundtrip.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/g3-roundtrip.test')
-rwxr-xr-xtest/g3-roundtrip.test13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/g3-roundtrip.test b/test/g3-roundtrip.test
new file mode 100755
index 00000000..c5c21fa0
--- /dev/null
+++ b/test/g3-roundtrip.test
@@ -0,0 +1,13 @@
+#! /bin/bash
+# This script tests: g3topbm pbmtog3
+# Also requires: pnmcrop
+
+${PBM_TESTPREFIX}pbmtog3 -nofixedwidth testgrid.pbm | \
+${PBM_TESTPREFIX}g3topbm -width=14 | diff - testgrid.pbm ; echo $?
+
+${PBM_TESTPREFIX}pbmtog3 -nofixedwidth -reversebits testgrid.pbm | \
+${PBM_TESTPREFIX}g3topbm -width=14 -reversebits | diff - testgrid.pbm ; echo $?
+
+${PBM_TESTPREFIX}pbmtog3 testgrid.pbm | \
+${PBM_TESTPREFIX}g3topbm  | ${PBM_BINPREFIX}pnmcrop -white -right -bottom | \
+ diff - testgrid.pbm ; echo $?